#include <iostream>
#include <vector>

#include <chrono>

using namespace std;
using namespace std::chrono;

int main(int argc, char *argv[]){

  int n =  std::stoi(argv[1]);

  int rep =  std::stoi(argv[2]);

  //  cout << "n= " << n << endl;
  vector<int> v;
  high_resolution_clock::time_point t1=high_resolution_clock::now();
  for(int r=0; r < rep; r++){
    for(int i=0; i < n; i++)
      v.insert(v.begin(), i);
    for(int i=0; i < n; i++)
      v.erase(v.begin());
  }
  high_resolution_clock::time_point t2=high_resolution_clock::now();

  auto duration = duration_cast<microseconds>(t2-t1).count();

  cout << "front-vec of " << n << " elements took " << (duration / rep) << " mics in average of " << rep << " tests" << endl;

  return 0;
}
